<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.bf.mapper.FhzgInfoLimitTransferSchemeSwitchingSequenceMapper">

    <resultMap id="BaseResultMap" type="com.hdkj.lt.core.bizms.modle.po.voltageLimitViolation.FhzgInfoLimitTransferSchemeSwitchingSequence">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="schemeId" column="scheme_id" jdbcType="BIGINT"/>
            <result property="switchId" column="switch_id" jdbcType="VARCHAR"/>
            <result property="switchName" column="switch_name" jdbcType="VARCHAR"/>
            <result property="switchType" column="switch_type" jdbcType="VARCHAR"/>
            <result property="isAutoSwitch" column="is_auto_switch" jdbcType="VARCHAR"/>
            <result property="operationContent" column="operation_content" jdbcType="VARCHAR"/>
            <result property="switchingSeq" column="switching_seq" jdbcType="INTEGER"/>
            <result property="loopCloseCheck" column="loop_close_check" jdbcType="VARCHAR"/>
            <result property="finalStateCheck" column="final_state_check" jdbcType="VARCHAR"/>
            <result property="creator" column="creator" jdbcType="BIGINT"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="lastEditor" column="last_editor" jdbcType="BIGINT"/>
            <result property="lastTime" column="last_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,scheme_id,switch_id,
        switch_name,switch_type,is_auto_switch,
        operation_content,switching_seq,loop_close_check,
        final_state_check,creator,create_time,
        last_editor,last_time
    </sql>
</mapper>
